<?php

declare(strict_types=1);

namespace Gls\GlsPoland\Soap\Client\Soap\Metadata;

use Gls\GlsPoland\Soap\Engine\Metadata\LazyInMemoryMetadata;
use Gls\GlsPoland\Soap\Engine\Metadata\MetadataInterface;

class MetadataFactory
{
    public static function lazy(MetadataInterface $metadata): MetadataInterface
    {
        return new LazyInMemoryMetadata($metadata);
    }
}
